> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all accounts



## OpenAPI

````yaml get /v1/accounts
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/accounts:
    get:
      tags:
        - Accounts
      summary: Get all accounts
      operationId: AccountsController_getAccounts
      parameters:
        - name: page
          required: false
          in: query
          description: The page number
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: The limit number of accounts to fetch
          schema:
            type: number
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponseDto'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    AccountResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the account
        name:
          type: string
          description: Name of the account
        statusId:
          type: string
          description: The identifier of the status of the account
        status:
          type: string
          description: The name of the status of the account
        classificationId:
          type: string
          description: The identifier of the classification of the account
        classification:
          type: string
          description: The name of the classification of the account
        primaryDomain:
          type: string
          description: Primary domain of the account
        accountOwner:
          type: string
          description: Name of the account owner
        accountOwnerId:
          type: string
          description: Unique identifier of the account owner
        accountOwnerEmail:
          type: string
          description: Email of the account owner
        customFieldValues:
          description: The custom field values
          type: array
          items:
            type: string
        createdAt:
          type: string
          description: Creation date of the account
        updatedAt:
          type: string
          description: Last update date of the account
      required:
        - id
        - name
        - statusId
        - status
        - classificationId
        - classification
        - primaryDomain
        - accountOwner
        - accountOwnerId
        - accountOwnerEmail
        - customFieldValues
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````